<template>
  <div class="q-pa-md">
    <q-card class="zoom super-rounded-borders">
      <q-img
        class="cursor-pointer"
        :src="generateDownloadURL('videos', item.thumbnail)"
        :ratio="4/3"
        basic
        @click="$emit('url', item.url)"
      />

      <q-card-section>
        <div
          class="text-subtitle2 text-uppercase text-grey-7 q-pa-sm"
          v-text="item.title"
        />
      </q-card-section>
    </q-card>
  </div>
</template>

<script>
import { GenerateDownloadURLMixin } from '../../mixin/generate-download-url'

export default {
  name: 'CardVideo',
  mixins: [GenerateDownloadURLMixin],
  props: {
    item: {
      type: Object,
      required: true
    }
  }
}
</script>
